# Class JmolPanel.AppCloser

java.lang.Object
java.awt.event.WindowAdapter
org.openscience.jmol.app.jmolpanel.JmolPanel.AppCloser

All Implemented Interfaces:
  `WindowFocusListener, WindowListener, WindowStateListener, EventListener`

Enclosing class:
  `JmolPanel`

protected class JmolPanel.AppCloser extends WindowAdapter
To shutdown when run as an application. This is a fairly lame implementation. A more self-respecting implementation would at least check to see if a save was needed.

## Constructor Summary

Constructors
Constructor
Description
`AppCloser()`

## Method Summary

Modifier and Type
Method
Description
`void`
`windowClosing(WindowEvent e)`

### Methods inherited from class WindowAdapter

`windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AppCloser

public AppCloser()

## Method Details

### windowClosing

public void windowClosing(WindowEvent e)

Specified by:
  `windowClosing` in interface `WindowListener`
Overrides:
  `windowClosing` in class `WindowAdapter`